<?php
/**
 * Sitemap モジュール
 */
require_once 'Zend/Db.php';
require_once 'Zend/Db/Table.php';
require_once 'Platy/Module.php';
require_once 'Platy/SystemDB.php';
require_once 'Platy/Form.php';

class Platy_Module_Sitemap extends Platy_Module
{
    public function install()
    {
        global $db;
        
        $sql[] = "INSERT INTO Platy_Config(name, value) VALUES('M_SITEMAP_ICON', '0');";
        $sql[] = "INSERT INTO Platy_Config(name, value) VALUES('M_SITEMAP_MODULE', '0');";
        for ($i = 0; $i < count($sql); $i++) {
            $db->query($sql[$i]);
        }
        // メニューアイテム追加
        $item = array('bar'=>'header', 'type'=>'module', 'title'=>'サイトマップ', 'module_name'=>'Sitemap', 'module_param' => '');
        addToMenu($item);

        return true;
    }
    
    public function uninstall()
    {
        global $db;
        $sql[] = "DELETE FROM Platy_Config WHERE name='M_SITEMAP_ICON';";
        $sql[] = "DELETE FROM Platy_Config WHERE name='M_SITEMAP_MODULE';";
        for ($i = 0; $i < count($sql); $i++) {
            $db->query($sql[$i]);
        }
        return true;
    }
    
    public function getName()
    {
        return 'Sitemap';
    }
    
    public function getTitle()
    {
        return 'サイトマップ';
    }
    
    public function getSummary()
    {
        return 'サイトマップの表示';
    }
    
    public function getAuthor()
    {
        return 'altkraft';
    }
}
?>